node.js - tutorial - একটি প্যাকেজের একটি পূর্ববর্তী সংস্করণ ইনস্টল করুন




npm install (6)

আমি নোড v0.4.10 ডাউনলোড এনভিএম ব্যবহার এবং নোড যে সংস্করণ সঙ্গে কাজ করার জন্য npm ইনস্টল।

আমি ব্যবহার করে এক্সপ্রেস ইনস্টল করার চেষ্টা করছি

npm install express -g

এবং আমি একটি ত্রুটি পেতে এক্সপ্রেস নোড সংস্করণ> = 0.5.0 প্রয়োজন।

আচ্ছা, এটি অদ্ভুত, যেহেতু আমি here একটি নোড + এক্সপ্রেস + মংডব টিউটোরিয়ালের জন্য নির্দেশাবলী অনুসরণ করছি যা নোড v0.4.10 ব্যবহার করে, তাই আমি এক্সপ্রেশন এক্সপ্রেশন / নোড v0.4.10 তে উপলব্ধ ছিলাম। আমার অনুমানটি যদি সঠিক হয় তবে আমি কিভাবে আমার সেটআপের সাথে কাজ করবে একটি সংস্করণ আনতে npm বলব?


Npm প্যাকেজের পূর্ববর্তী সংস্করণ ইনস্টল করার জন্য নিম্নলিখিত কমান্ড ব্যবহার করতে পারেন:

npm install [email protected]

npm install -g npm @ সংস্করণ

যা আপনি ডাউনগ্রেড করতে চান

npm install -g [email protected]


আমার মতামত যে সহজতম এবং দ্রুততম উপায়:

$ npm -v

4.2.0

$ npm install -g [email protected]

...

$ npm -v

3.10.10


উবুন্টুতে আপনি এই কমান্ডটি চেষ্টা করতে পারেন।

sudo npm cache clean -f
sudo npm install -g n
sudo n stable 

নির্দিষ্ট সংস্করণ: sudo n 8.11.3 পরিবর্তে sudo n স্থিতিশীল


প্রথমে পুরানো সংস্করণটি সরান, তারপর আক্ষরিক নিম্নোক্তভাবে চালান:

npm install [email protected].X

যদি আপনি একটি প্যাকেজের একটি পুরোনো সংস্করণ ইনস্টল করতে চান তবে এটি নির্দিষ্ট করুন

npm install <package>@<version>

উদাহরণস্বরূপ: npm install [email protected]

আপনি আপনার প্যাকেজ.জson নির্ভরতাগুলিতে বা --save --save-exact ফ্ল্যাগগুলিতে যোগ করার জন্য যে কমান্ডটিতে --save flag যোগ করতে পারেন তা আপনার প্যাকেজ.জson নির্ভরতাগুলিতে নির্দিষ্ট সংস্করণ নির্দিষ্ট করতে চান।

install কমান্ড এখানে নথিভুক্ত করা হয়েছে: https://docs.npmjs.com/cli/install

আপনি যদি প্যাকেজের কোন সংস্করণ নিশ্চিত না হন তবে আপনি এটি ব্যবহার করতে পারেন:

npm view <package> versions

এবং npm view একটি প্যাকেজ সম্পর্কে অন্যান্য জিনিস দেখার জন্য ব্যবহার করা যেতে পারে। https://docs.npmjs.com/cli/view





npm